Index: /trunk/cic-hcap/macros/extra.dm
===================================================================
--- /trunk/cic-hcap/macros/extra.dm	(revision 13094)
+++ /trunk/cic-hcap/macros/extra.dm	(revision 13095)
@@ -228,26 +228,9 @@
 
 _cicpagecontent_ {
-<div class="cicheading">Welcome to the Historic Campus Architecture Project</div>
-
-<div id="cicaboutphotoarea">
-  <a href="_gwcgi_?a=d&amp;d=p1932"><img alt="ADP Fountain (detail), Wesleyan College" src="_httpcollection_/images/about1.jpg"></a><br />
-  <a href="_gwcgi_?a=d&amp;d=p915"><img alt="Ball Hall (detail of belfry), Keuka College" src="_httpcollection_/images/about2.jpg"></a><br />
-  <a href="_gwcgi_?a=d&amp;d=p992"><img alt="Cooper Hall, Limestone College" src="_httpcollection_/images/about3.jpg"></a><br />
-</div>
-
-<p>In 2002, CIC was awarded a two-year grant from the Getty Grant Program for the "Survey of Historic Architecture and Design on the Independent College and University Campus." This project aims to identify resources for further research about significant buildings, campus plans, open spaces, and heritage sites of American higher education.</p>
-
-<p>Initial activities for this project were completed in fall 2003, and included preparing an inventory, from approximately 725 active and potential CIC members, of places of significant historic interest, in relation to distinctive developments in architecture, landscape, American history, and the history of education, religion, engineering, and culture. In total, more than 1,900 places of historical significance on private college and university campuses were identified, and 4,000 images relating to sites of architectural, landscape, and planning interest and significance were collected. The survey was completed by 363 institutions, representing a return of more than 50 percent of the original list of schools that were invited to participate.</p>
-
-<p>In 2005, The Council of Independent Colleges (CIC) announced that the Getty Foundation, the philanthropic arm of the J. Paul Getty Trust, awarded a grant of $280,000 to CIC in support of the <i>CIC Survey of Historic Architecture and Design on the Independent College and University Campus</i>. The new grant brings the Gettys support of this project to a total of $431,000.</p>
-
-<p>"We are delighted to offer this database as the first national architecture and landscape resource about independent college campuses," said CIC President Richard Ekman. "Americas private colleges and universities include most of the oldest institutions of higher education in America and their evolving physical campuses tell us a lot about American education. Documenting the historic buildings on college campuses provides a new window into understanding the distinctive educational mission of a college, the values of its founders, and the ways in which the physical campus embodies and supports the educational program."</p>
-
-<hr>
-<p>The <b>Council of Independent Colleges</b> is an association of more than 540 independent, liberal arts colleges and universities and higher education affiliates and organizations that work together to strengthen college and university leadership, sustain high-quality education, and enhance private higher educations contributions to society. To fulfill this mission, CIC provides its members with skills, tools, and knowledge that address aspects of leadership, financial management and performance, academic quality, and institutional visibility. The Council is headquartered at One Dupont Circle in Washington, DC.</p>
-
-<p>The <b>J. Paul Getty Trust</b> is an international cultural and philanthropic organization devoted to the visual arts that includes the J. Paul Getty Museum, the Getty Research Institute, the Getty Conservation Institute, and the Getty Foundation. The J. Paul Getty Trust and its programs are based at the Getty Center in Los Angeles. Additional information is available on the Getty website at <a href="http://www.getty.edu">www.getty.edu</a>.</p>
-
-<p><b>List of Participating Institutions</b>: <a href="http://www.cic.org/projects_services/grants/getty_participants.pdf">Click here</a> to view the list of institutions and sites that are included in the historic architecture database. (This file is in PDF format. In order to view, the minimum software requirement is version 4.0. Adobe Acrobat, available for free from the <a href="http://www.adobe.com/products/acrobat/readermain.html">Adobe Web site</a>.)</p>
+<div class="cicheading">Welcome</div>
+
+<p>Welcome to the CIC Historic Campus Architecture Project (HCAP), the first national architecture and landscape database of independent college and university campuses. This project presents information about significant buildings, landscapes, campus plans, and heritage sites of American higher education and identifies sources for further research. Supported by grants from the Getty Foundation, the CIC HCAP website documents nearly 2,000 places of historical significance on private college and university campuses and includes more than 4,300 images relating to these sites. To date, nearly 370 institutions have participated. On this site, web users can find institutions or places in a particular state or region; seek information about a specific type of architecture, designer, or time period; or gather data for future research.</p>
+
+<p><b>List of Participating Institutions</b>: <a href="http://www.cic.org/projects_services/grants/getty_participants.pdf">Click here</a> to view the list of institutions and sites that are included in the CIC HCAP database. <span style="font-size: 0.8em;">(This file is in PDF format. In order to view, the minimum software requirement is version 4.0. Adobe Acrobat, available as a free download from the <a href="http://www.adobe.com/products/acrobat/readermain.html">Adobe Web site</a>.)</span></p>
 }
 