Index: trunk/gsdl3/web/interfaces/default/style/core.css
===================================================================
--- trunk/gsdl3/web/interfaces/default/style/core.css	(revision 13262)
+++ trunk/gsdl3/web/interfaces/default/style/core.css	(revision 13263)
@@ -1,26 +1,153 @@
-a.gsbutton,a:visited.gsbutton {
-    text-decoration:none; 
-    color:#345437; /* green colour */
-    font-weight: bold;
-}
-
-
-a.gsbutton:hover {
-    color: #cc9900 /* bright yellow */
-}
-	
-td.gsbutton { 
-    background-image: url(../images/greenbar.gif); 
-    height: 20; 
-    text-align: center;  
-}
-	
-td.gsbuttonoff { 
-    background-image: url(../images/greenbar.gif); 
-    height: 20; 
-    text-align: center; 
-    color:black; 
-    font-weight: bold; 
-}
+
+.bgimage { background-image: url("../images/chalk.gif"); }
+
+/* this contains everything - all the other divs */
+#page {
+  margin: 0 3em 0 5em;
+  padding: 0;
+}
+
+#banner {
+  margin: 0 0 5px 0;
+  padding:0;
+ 
+}
+
+/* the title set by the receptionist based on the page action */
+p.bannertitle {
+  font-family: sans-serif, arial, helvetica;
+  font-size: 24px;
+  font-weight: bold;
+  margin: 10px 0 0 0;
+  text-transform: lowercase;
+  white-space: nowrap;
+  padding: 6px 2px 10px 0px;
+  background-repeat: repeat-y;
+  background-position: top right; 
+  background-image: url("../images/banner_bg.png");  
+ 
+ }
+
+
+
+/* this div contains the bannerlinks and bannertitle paragraphs */
+div.pageinfo {
+  float: right;
+  text-align: right;
+  padding: 0;
+  margin:0 0 3px 0;	
+  width: 50%;
+}
+
+
+
+/* home, help, preferences links */
+p.bannerlinks {
+  font-family: sans-serif, arial, helvetica;
+  font-size: 10pt;
+  font-weight: bold;
+  margin:0;
+  padding:0;
+}
+
+/* the image for the collection, shown in the banner */
+div.collectimage {
+  text-align: left;
+  #height: 100%; /* for IE5/6 to make containing div the full height */
+  float: left;
+  width: 45%;
+  padding:0;
+  margin:0;
+}
+
+
+p.collectiontitle {
+  font-family: sans-serif, arial, helvetica;
+  font-size: 24px;
+  font-weight: bold;
+  text-transform: lowercase;
+  white-space: nowrap;
+  padding: 8px 0px 12px 2px;
+  background-repeat: repeat-y;
+  background-position: top left; 
+  margin:0;
+}
+
+/* bg image set in style macro */
+div.divbar { /* for "select a collection" */
+  clear: both; 
+  background-image: url("../images/bg_green.png"); 
+  font-family: arial;
+  font-size: 10pt;
+  font-weight: bold;
+  border: 0;
+  width: 100%; /* for ns4 */
+}
+
+
+/* bg image set in style macro */
+div.navbar {
+  background-image: url("../images/bg_green.png"); 	
+  min-width: 500px;
+  white-space: nowrap;
+  font-family: sans-serif, arial, helvetica;
+  font-size: 10pt;
+  font-weight: bold;
+  text-transform: lowercase;
+  border: 0;
+  width: 100%; /* for ns4 */
+}
+
+
+p.navbar { /* opt navbar text inside a divbar div */
+  text-align: center; 
+  margin: 0;
+  padding: 0;	
+}
+
+a.collectiontitle {
+  color: black;
+  text-decoration: none;
+}
+
+/* make sure this is shown under the other divs (which may be floating) */
+div.bannerextra {
+   clear: both;
+}
+
+
+/* bg image set in style macro */
+a.navlink {
+  vertical-align: top; 
+  padding: 0 10px 0 10px; 
+  color: black;
+  text-decoration: none;
+  background-image: url("../images/bg_off.png");
+  margin: 0 0 0 20px;
+}
+
+/* bg image set in style macro */
+a.navlink_sel {
+  vertical-align: top;
+  padding: 0 10px 0 10px;
+  color: black;
+  text-decoration: none;
+  background-image: url("../images/bg_green.png"); 
+   margin: 0 0 0 20px;	
+}
+
+a.navlink:visited {
+  color: black;
+}
+
+/* for the nav_ns4.dm macro only (for netscape4 support) */
+a.navlink_ns4 {
+  background-color: #e8d9b1;
+}
+
+a.navlink:hover { 
+   background-image: url("../images/bg_on.png");
+ }
+
 
 a.navbar, a:visited.navbar { 
@@ -34,26 +161,4 @@
 }
 
-td.navbar { 
-    background-image: url(../images/greenbar.gif); 
-    height: 20; 
-    text-align: center;  
-    font-weight:bold;
-}
-	
-td.navbaroff {
-    background-image: url(../images/greenbar.gif); 
-    height: 20; 
-    text-align: center;  
-    font-weight:bold; 
-    color:black ; 
-    font-size: larger;
-}
-
-body {
-    background-color: #ffffff; 
-    background-image: url(../images/chalk.gif); 
-    color:#000000  
-}
-
 a[href] {
     color: #006666; 
@@ -67,2 +172,303 @@
     color: #cc9900 /* bright yellow */
 }
+
+div.document {
+  padding: 5px 0 0 0;
+  margin:0;
+}
+
+div.collectionlist{
+  padding:0;
+  margin: .5em 0 .5em 0;
+}
+
+div.collectionitem{
+  padding: 0;
+  margin: .5em 0 0 0;
+}
+
+div.servicelist{
+
+}
+
+div.serviceitem{
+  padding: 0;
+  margin: .2em 0 0 0;
+} 
+
+/* bg image set in style macro */
+a.servicelink {
+  vertical-align: top; 
+  color: black;
+  text-decoration: none;
+  background-image: url("../images/bg_off.png");
+}
+
+/* bg image set in style macro */
+a.servicelink_sel {
+  vertical-align: top;
+  color: black;
+  text-decoration: none;
+  background-image: url("../images/bg_green.png"); 	
+}
+
+a.servicelink:visited {
+  color: black;
+}
+a.servicelink {
+  vertical-align: top; 
+  color: black;
+  text-decoration: none;
+  background-image: url("../images/bg_off.png");
+}
+
+/* bg image set in style macro */
+a.servicelink_sel {
+  vertical-align: top;
+  color: black;
+  text-decoration: none;
+  background-image: url("../images/bg_green.png"); 	
+}
+
+a.servicelink:visited {
+  color: black;
+}
+
+a.servicelink:hover { 
+   background-image: url("../images/bg_on.png");
+ }
+
+div.classifierlist{
+  text-align: center;
+  padding:0;
+  margin: 1em 0 1em 0 ;
+}
+
+div.classifieritem{
+  display:inline;
+  padding:0;
+  margin: 0  0 0 3em;
+}
+
+/** classifier link */
+a.classifierlink {
+   color: #006666;     
+}
+
+a.classiferlink:visited {
+   color: #666633;
+}
+
+a.classiferlink:hover{
+ color: #cc9900 /* bright yellow */
+}
+
+
+div.classifiernodes{
+  margin: 0;
+  padding: 0;
+}
+
+div.h-classifiernodes{
+
+}
+
+div.classifiernode{
+  margin: .4em 0 .4em 2em;
+  padding: 0;
+}
+
+span.classifiertitle{
+  margin: 0 0 0 0;
+  padding: 0;
+
+}
+
+span.leftspace{
+  padding:0;
+  margin: 0 0 0 .5em;		
+}
+
+span.rightspace{
+  padding:0;
+  margin: 0 .5em 0 0;		
+}
+
+
+/** query form style**/
+div.queryform{
+
+}
+
+div.queryitemlist{
+ font-size: 16px;
+ margin: .5em 0 .5em 0;
+ padding:0;
+ 	
+}
+
+div.queryitem{
+  margin: .2em 0 .2em 0;
+  padding:0;  
+}
+
+span.queryitemname{
+  padding:0 .2em 0 0;
+  margin:0; 
+}
+
+span.queryitemvalues{
+
+}
+
+div.queryfieldlist{
+  margin: 1em 0 1em 0;
+  padding:0;
+}
+
+tr.queryfieldheading{
+
+}
+
+tr.queryfieldrow{
+ 
+}
+ 
+tr.queryfieldcell{
+ 
+}
+
+td.queryfieldname{
+ 
+}
+
+/** search result style */
+div.terminfo{
+
+}
+
+div.matchdocs{
+
+}
+
+div.resultnavigation{
+ margin: 0;
+ padding:0;
+}
+
+table.resultlist{
+ margin: 0;
+ padding:0;
+}
+
+tr.resultitem{
+ margin: 0;
+ padding:0;
+}
+
+img.displayicon{
+  padding:0;
+  margin:0;
+  
+}
+
+span.textselect { white-space: nowrap; }
+
+div.documenttext { clear: both; } /* come after any floating divs */
+
+div.documentheading{
+  font-size: 16pt;
+  font-weight: bold;
+}
+
+div.documentinfo { 
+  float:left;
+  padding:0;
+  margin:0;
+  width:auto;
+} 
+
+div.toc{
+  float:right;
+  text-align:left;
+  width:75%;
+  padding:0;
+  margin:0; 
+}
+
+
+div.docbuttons { /* expand/contract etc "buttons" */
+  /* don't put next to another float on our left-hand side */
+   margin: .5em 0 0 0; 
+}
+
+
+div.docbutton {
+  font-size: 11px;
+  font-weight: bold;
+  line-height: 1.2em;
+  /*background: #ffeecc; */
+  background: #f7e7c5;
+  margin: 1px;
+  border: 1px solid #eeddbb;
+  text-align: center;
+  vertical-align: middle;
+  height: 30px; /* IE6 and NS4 treat width/height as min-width/min-height */
+  width: 110px;
+}
+
+
+span.docbutton {}
+span.docbutton a { text-decoration: none; color: black; }
+
+div.tocnodes{
+  margin: 0 0 0 -2em;
+  padding: 0;
+
+}
+
+div.tocnode{
+   margin: .4em 0 .4em 2em;
+   padding: 0;
+}
+
+div.documentarrows{
+  clear: both; 
+  margin: 0 0 0 0;
+  padding: 1em 0 0 0;   
+}
+
+img.lessarrow{
+  float:left;
+  border: none;  
+}
+
+img.morearrow{
+  float:right;
+  border:none; 
+}
+
+div.formheading{
+  font-size: 16pt;
+  font-weight: bold;
+  margin: .5em 0 0;
+  padding:0;
+}
+
+div.presprefs{
+
+} 
+
+div.berrybasketprefs{
+margin: .5em 0 0;
+}
+
+div.searchprefs{
+
+}
+
+div.phrasebrowse{
+  text-align:center;
+  padding:0;
+  margin: .5em 0 .5em 0;   
+}