Index: trunk/gsdl/macros/collect.dm
===================================================================
--- trunk/gsdl/macros/collect.dm	(revision 13304)
+++ trunk/gsdl/macros/collect.dm	(revision 13316)
@@ -849,2 +849,39 @@
 _messagefoot_
 }
+
+
+###################################################
+## text macros that are defined by another package
+###################################################
+
+_textbild_ {_wizard:textbild_}
+_textview_ {_wizard:textview_}
+_textbildsuc_ {_wizard:textbildsuc_}
+_textviewbildsummary_ {_wizard:textviewbildsummary_}
+
+_textbild1_ {_wizard:textbild1_}
+
+_textbild2_ {_wizard:textbild2_}
+
+_textstopbuild_ {_wizard:textstopbuild_}
+
+_textbild3_ {_wizard:textbild3_}
+
+_textbuildcancelled_ {_wizard:textbuildcancelled_}
+
+_textbildcancel1_ {_wizard:textbildcancel1_}
+
+
+_textbsupdate1_ {_wizard:textbsupdate1_}
+_textbsupdate2_ {_wizard:textbsupdate2_}
+_textseconds_ {_wizard:textseconds_}
+
+
+_textfailmsg11_ {_wizard:textfailmsg11_}
+_textfailmsg21_ {_wizard:textfailmsg21_}
+_textblcont_ {_wizard:textblcont_}
+
+_textfailmsg31_ {_wizard:textfailmsg31_}
+_textfailmsg41_ {_wizard:textfailmsg41_}
+_textfailmsg71_ {_wizard:textfailmsg71_}
+
Index: trunk/gsdl/macros/deposit.dm
===================================================================
--- trunk/gsdl/macros/deposit.dm	(revision 13304)
+++ trunk/gsdl/macros/deposit.dm	(revision 13316)
@@ -714,2 +714,35 @@
 
 }
+
+###################################################
+## text macros that are defined by another package
+###################################################
+
+
+_textbsupdate1_ {_wizard:textbsupdate1_}
+_textbsupdate2_ {_wizard:textbsupdate2_}
+_textseconds_ {_wizard:textseconds_}
+
+_textbildsuc_ {_wizard:textbildsuc_}
+_textviewbildsummary_ {_wizard:textviewbildsummary_}
+
+_textview_ {_wizard:textview_}
+_textbild1_ {_wizard:textbild1_}
+
+_textbild2_ {_wizard:textbild2_}
+
+_textstopbuild_ {_wizard:textstopbuild_}
+
+_textbild3_ {_wizard:textbild3_}
+
+_textbuildcancelled_ {_wizard:textbuildcancelled_}
+
+_textbildcancel1_ {_wizard:textbildcancel1_}
+
+_textfailmsg11_ {_wizard:textfailmsg11_}
+_textfailmsg21_ {_wizard:textfailmsg21_}
+_textblcont_ {_wizard:textblcont_}
+
+_textfailmsg31_ {_wizard:textfailmsg31_}
+_textfailmsg41_ {_wizard:textfailmsg41_}
+_textfailmsg71_ {_wizard:textfailmsg71_}
Index: trunk/gsdl/macros/english2.dm
===================================================================
--- trunk/gsdl/macros/english2.dm	(revision 13304)
+++ trunk/gsdl/macros/english2.dm	(revision 13316)
@@ -309,10 +309,6 @@
 _textsrce_ {Source data}
 _textconf_ {Configure collection}
-_textbild_ {_wizard:textbild_}
-_textview_ {_wizard:textview_}
 _textdel_ {Delete collection}
 _textexpt_ {Export collection}
-_textbildsuc_ {_wizard:textbildsuc_}
-_textviewbildsummary_ {_wizard:textviewbildsummary_}
 
 _textdownloadingfiles_ {Downloading files ...}
@@ -525,25 +521,4 @@
 _textreset_ {Reset}
 
-_textbild1_ {_wizard:textbild1_}
-
-_textbild2_ {_wizard:textbild2_}
-
-_textstopbuild_ {_wizard:textstopbuild_}
-
-_textbild3_ {_wizard:textbild3_}
-
-_textbuildcancelled_ {_wizard:textbuildcancelled_}
-
-_textbildcancel1_ {_wizard:textbildcancel1_}
-
-
-_textbsupdate1_ {_wizard:textbsupdate1_}
-_textbsupdate2_ {_wizard:textbsupdate2_}
-_textseconds_ {_wizard:textseconds_}
-
-
-_textfailmsg11_ {_wizard:textfailmsg11_}
-_textfailmsg21_ {_wizard:textfailmsg21_}
-_textblcont_ {_wizard:textblcont_}
 
 _texttryagain_ {
@@ -552,7 +527,4 @@
 }
 
-_textfailmsg31_ {_wizard:textfailmsg31_}
-_textfailmsg41_ {_wizard:textfailmsg41_}
-_textfailmsg71_ {_wizard:textfailmsg71_}
 
 _textretcoll_ {Return to the collector}
@@ -660,31 +632,9 @@
 }
 
-_textbsupdate1_ {_wizard:textbsupdate1_}
-_textbsupdate2_ {_wizard:textbsupdate2_}
-_textseconds_ {_wizard:textseconds_}
-
 _textcaec_ {Adding to an Existing Collection}
 _textbild_ {Deposit Item}
 _textintro_ {Select File}
-_textbildsuc_ {_wizard:textbildsuc_}
-_textviewbildsummary_ {_wizard:textviewbildsummary_}
 _textselect_ {Select Collection}
 _textmeta_ {Specify Metadata}
-_textview_ {_wizard:textview_}
-_textbild1_ {_wizard:textbild1_}
-
-_textbild2_ {_wizard:textbild2_}
-
-_textstopbuild_ {_wizard:textstopbuild_}
-
-_textbild3_ {_wizard:textbild3_}
-
-_textbuildcancelled_ {_wizard:textbuildcancelled_}
-
-_textbildcancel1_ {_wizard:textbildcancel1_}
-
-_textfailmsg11_ {_wizard:textfailmsg11_}
-_textfailmsg21_ {_wizard:textfailmsg21_}
-_textblcont_ {_wizard:textblcont_}
 
 _texttryagain_ {
@@ -693,7 +643,4 @@
 }
 
-_textfailmsg31_ {_wizard:textfailmsg31_}
-_textfailmsg41_ {_wizard:textfailmsg41_}
-_textfailmsg71_ {_wizard:textfailmsg71_}
 
 _textretcoll_ {Return to the depositor}