Index: trunk/niupepa/macros/extra.dm
===================================================================
--- trunk/niupepa/macros/extra.dm	(revision 13353)
+++ trunk/niupepa/macros/extra.dm	(revision 13354)
@@ -60,19 +60,8 @@
 _numissues_ [l=mi] {_1_ niupepa}
 
-#_javalinks_  {_imagehome__imagehelp__imagepref__imagenzdl_}
-#_javalinks_ [v=1] {
-#_imagehome_<br>
-#_imagehelp_<br>
-#_imagepref_<br>
-#_imagenzdl_<br>
-#}
-
 _globallinks_ {_homelink__helplink__preflink__nzdllink_}
+
 _homelink_ {_navtab_(_httppagex_(about),_linktextHOME_,_textdescrhome_)}
 _nzdllink_ {_navtab_(http://www.nzdl.org,NZDL,_textimagenzdl_)}
-
-_httpiconcnzdlof_  {_httpprefix_/collect/niupepa/images/cnzdlof.gif}
-_httpiconcnzdlon_  {_httpprefix_/collect/niupepa/images/cnzdlon.gif}
-_imagenzdl_ {_gsimage_(http://www.nzdl.org,_httpiconcnzdlof_,_httpiconcnzdlon_,nzdl,_textimagenzdl_)}
 _textimagenzdl_  {New Zealand Digital Library}
 
@@ -121,11 +110,4 @@
 package preferences
 
-#_javalinks_  {_imagehome__imagehelp__imagenzdl_}
-#_javalinks_ [v=1] {
-#_imagehome_<br>
-#_imagehelp_<br>
-#_imagenzdl_<br>
-#}
-
 _globallinks_ {_homelink__helplink__nzdllink_}
 _homelink_ {_navtab_(_httppagex_(about),_linktextHOME_,_textdescrhome_)}
@@ -138,7 +120,4 @@
 package document
 
-#_abstract_  {Abstract<br>}
-#_abstract_ [l=mi] {RÄpopoto reo PÄkehÄ<br>}
-
 _httpthiscommentary_  {}
 _httpiconthispaper_  {}
@@ -146,6 +125,5 @@
 _httppageabexpl_  {_httppagex_(abexpl)}
 
-
-_iconabstract_  {<img src="_httpiconiabstr_" valign=top border=0 alt="_texticonabstract_">}
+_iconabstract_  {<img src="_httpprefix_/collect/niupepa/images/iabstr.gif" valign=top border=0 alt="_texticonabstract_">}
 _iconabstract_ [v=1] {_texticonabstract_}
 
@@ -156,30 +134,4 @@
 _nextarrow_  {_If_(_httpnextarrow_,<a href="_httpnextarrow__1_">_iconnext_</a>)}
 
-
-_iconfullimage_  {<img name="fullimage" src="_httpiconefiof_" width="_widthefix_" height="_heightefix_" alt="_texticonfullimage_" border="0">}
-_iconfullimage_ [v=1] {_texticonfullimage_}
-
-_iconprevimage_  {<img name="previmage" src="_httpiconepiof_" width="_widthepix_" height="_heightepix_" alt="_texticonprevimage_" border="0">}
-_iconprevimage_ [v=1] {_texticonprevimage_}
-
-_iconviewtext_  {<img name="viewtext" src="_httpiconetextof_" width="_widthetextx_" height="_heightetextx_" alt="_texticonviewtext_" border="0">}
-_iconviewtext_[v=1] {_texticonviewtext_}
-
-_iconviewabstract_  {<img name="abstract" src="_httpiconeabstrof_" width="_widtheabstrx_" height="_heighteabstrx_" alt="_texticonviewabstract_" border="0">}
-_iconviewabstract_[v=1] {_texticonviewabstract_}
-
-_iconviewpaper_  {<img name="paper" src="_httpiconenpepaof_" width="_widthenpepax_" height="_heightenpepax_" alt="_texticonviewpaper_" border="0">}
-_iconviewpaper_[v=1] {_texticonviewpaper_}
-
-_iconabstractintro_  {<img name="intro" src="_httpiconeintroof_" width="_widtheintrox_" height="_heighteintrox_" alt="_texticonabstractintro_" border="0">}
-_iconabstractintro_[v=1] {_texticonabstractintro_}
-
-_iconthispaper_  {<img name="commentary" src="_httpiconthispaper_of.gif" border="0" alt="_texticoncommentary_">}
-
-# can't use _gsimage_ macro for detach button as we need to include target
-#_imagedetach_  {<a href="_httpcurrentdocument_&x=1&gg=_cgiarggg_" target=\_blank onMouseover="roll('detach',1);" onMouseOut="roll('detach',0);"><img
-#name="detach" src="_httpiconedtchof_" onLoad="gbutton(this,'_httpiconedtchon_');" border=0 alt="_texticondetach_"></a>}
-#_imagedetach_ [v=1] {<a href="_httpcurrentdocument_&x=1&gg=_cgiarggg_" target=\_blank>_texticondetach_</a><br>}
-
 # can't use _docbutton_ macro for detach button as we need to include target
 _imagedetach_ {<div class="button"><span class="button"><a href="_httpcurrentdocumentnogg_&amp;x=1&amp;gg=_cgiarggg_" target="\_blank" title="_texticondetach_">_textDETACH_</a></span></div>}
@@ -194,20 +146,9 @@
 _httpcurrentpdf_  {_httpprefix_/collect/niupepa/index/assoc/_thisOID_/paper.pdf}
 
-#_imagefullimage_  {_gsimage_(_httpcurrentdocument_&gg=full,_document:httpiconefiof_,_document:httpiconefion_,fi,_document:texticonfullimage_)}
-
-#_imageprevimage_  {_gsimage_(_httpcurrentdocument_&gg=prev,_document:httpiconepiof_,_document:httpiconepion_,pi,_document:texticonprevimage_)}
-
-#_imageviewtext_  {_gsimage_(_httpcurrentdocument_&gg=text,_document:httpiconetextof_,_document:httpiconetexton_,etext,_document:texticonviewtext_)}
-
-#_imagepdf_  {_gsimage_(_document:httpcurrentpdf_,_document:httpiconepdfof_,_document:httpiconepdfon_,epdf,_document:texticonpdf_)}
-
-
 _imageviewabstract_ {_docbutton_(_httpcurrentdocumentnogg_&amp;gg=text&amp;cl=_cgiargcl_&amp;d=_1_,_textabstract_,_texticonabstract_)}
-#_imageviewabstract_  {_gsimage_(_httpdocument_&gg=text&cl=_cgiargcl_&d=_1_,_document:httpiconeabstrof_,_document:httpiconeabstron_,eabstr,_document:texticonviewabstract_)}
+
 _imageviewpaper_ {_docbutton_(_httpcurrentdocument_&amp;cl=_cgiargcl_&amp;d=_1_,_textviewpaper_,_texticonviewpaper_)}
-#_imageviewpaper_  {_gsimage_(_httpdocument_&cl=_cgiargcl_&d=_1_,_document:httpiconenpepaof_,_document:httpiconenpepaon_,enpepa,_document:texticonviewpaper_)}
 
 _imageabstractintro_ {_docbutton_(_document:httppageabexpl_,_textabstractintro_,_texticonabstractintro_)}
-#_imageabstractintro_  {_gsimage_(_document:httppageabexpl_,_document:httpiconeintroof_,_document:httpiconeintroon_,intro,_document:texticonabstractintro_)}
 
 _imagethispaper_  {_If_(_httpthiscommentary_,_linkthispaper_,_nolinkthispaper_)}
@@ -217,58 +158,4 @@
 # this occurs when we're at a commentary page - (no alt text, no link)
 _nolinkthispaper_  {<img src="_httpiconthispaper_on.gif" border="0">}
-
-
-_httpiconefiof_  {_httpprefix_/collect/niupepa/images/efiof.gif}
-_httpiconefiof_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/efiof.gif}
-_httpiconefion_  {_httpprefix_/collect/niupepa/images/efion.gif}
-_httpiconefion_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/efion.gif}
-_widthefix_  {65}
-_widthefix_ [l=mi] {65}
-_heightefix_  {30}
-
-_httpiconepiof_  {_httpprefix_/collect/niupepa/images/epiof.gif}
-_httpiconepiof_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/epiof.gif}
-_httpiconepion_  {_httpprefix_/collect/niupepa/images/epion.gif}
-_httpiconepion_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/epion.gif}
-_widthepix_  {65}
-_widthepix_ [l=mi] {65}
-_heightepix_  {30}
-
-_httpiconetextof_  {_httpprefix_/collect/niupepa/images/etextof.gif}
-_httpiconetextof_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/etextof.gif}
-_httpiconetexton_  {_httpprefix_/collect/niupepa/images/etexton.gif}
-_httpiconetexton_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/etexton.gif}
-_widthetextx_ [l=mi] {65}
-_widthetextx_  {65}
-_heightetextx_  {30}
-
-_httpiconepdfof_  {_httpprefix_/collect/niupepa/images/epdfof.gif}
-_httpiconepdfon_  {_httpprefix_/collect/niupepa/images/epdfon.gif}
-
-_httpiconeabstrof_  {_httpprefix_/collect/niupepa/images/eabstrof.gif}
-_httpiconeabstrof_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/eabstrof.gif}
-_httpiconeabstron_  {_httpprefix_/collect/niupepa/images/eabstron.gif}
-_httpiconeabstron_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/eabstron.gif}
-_widtheabstrx_  {65}
-_widtheabstrx_ [l=mi] {65}
-_heighteabstrx_  {30}
-
-_httpiconenpepaof_  {_httpprefix_/collect/niupepa/images/enpepaof.gif}
-_httpiconenpepaof_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/enpepaof.gif}
-_httpiconenpepaon_  {_httpprefix_/collect/niupepa/images/enpepaon.gif}
-_httpiconenpepaon_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/enpepaon.gif}
-_widthenpepax_  {65}
-_widthenpepax_ [l=mi] {65}
-_heightenpepax_  {30}
-
-_httpiconeintroof_  {_httpprefix_/collect/niupepa/images/eintroof.gif}
-_httpiconeintroof_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/eintroof.gif}
-_httpiconeintroon_  {_httpprefix_/collect/niupepa/images/eintroon.gif}
-_httpiconeintroon_ [l=mi] {_httpprefix_/collect/niupepa/images/mi/eintroon.gif}
-_widtheintrox_  {65}
-_widtheintrox_ [l=mi] {65}
-_heighteintrox_  {30}
-
-_httpiconiabstr_  {_httpprefix_/collect/niupepa/images/iabstr.gif}
 
 _texticonsmalltext_  {_texticoncommentary_}
@@ -317,12 +204,4 @@
 #################
 
-
-#_javalinks_  {_imagehome__imagepref__imagenzdl_}
-#_javalinks_ [v=1] {
-#_imagehome_<br>
-#_imagepref_<br>
-#_imagenzdl_<br>
-#}
-
 _globallinks_ {_homelink__preflink__nzdllink_}
 _homelink_ {_navtab_(_httppagex_(about),_linktextHOME_,_textdescrhome_)}
@@ -337,17 +216,17 @@
 _texthelptopics_
 <div class="divbar">&nbsp;</div>
-<a name=finding-information>
+<a name=finding-information></a>
 <h2>_textsimplehelpheading_</h2>
 _simplehelp_
 <div class="divbar">&nbsp;</div>
-<a name="nav-expl">
+<a name="nav-expl"></a>
 <h2>_textnavexpl_</h2>
 _textexplainbuttons_
 <div class="divbar">&nbsp;</div>
-<a name=lang-prefs>
+<a name=lang-prefs></a>
 <h2>_textlangprefs_</h2>
 _texthelppreferences_
 <div class="divbar">&nbsp;</div>
-<a name=searching>
+<a name=searching></a>
 <h2>_textsearching_</h2>
 _texthelpsearching_
@@ -459,10 +338,10 @@
 <tr><td><img src="_httpimg_/less.gif"></td><td>_textxprev_</td></tr>
 
-<tr><td><img src="_document:httpiconedtchof_"></td><td valign="center">_document:texticondetach_</td></tr>
-<tr><td><img src="_document:httpiconefiof_"></td><td valign="center">_document:texticonfullimage_</td></tr>
-<tr><td><img src="_document:httpiconepiof_"></td><td valign="center">_document:texticonprevimage_</td></tr>
-<tr><td><img src="_document:httpiconehlof_"></td><td valign="center">_document:texticonhighlight_</td></tr>
-<tr><td><img src="_document:httpiconeabstrof_"></td><td valign="center">_document:texticonabstract_</td></tr>
-<tr><td><img src="_document:httpiconetextof_"></td><td valign="center">_document:texticonviewtext_</td></tr>
+<tr><td>_document:imagedetach_</td><td valign="center">_document:texticondetach_</td></tr>
+<tr><td>_document:imagefullimage_</td><td valign="center">_document:texticonfullimage_</td></tr>
+<tr><td>_document:imageprevimage_</td><td valign="center">_document:texticonprevimage_</td></tr>
+<tr><td>_document:imagehighlight_</td><td valign="center">_document:texticonhighlight_</td></tr>
+<tr><td>_document:imageviewabstract_</td><td valign="center">_document:texticonabstract_</td></tr>
+<tr><td>_document:imageviewtext_</td><td valign="center">_document:texticonviewtext_</td></tr>
 </table>
 }
@@ -526,5 +405,5 @@
 _texthelpsearching_  {
 
-<a name=query-terms>
+<a name=query-terms></a>
 <h3>Search terms</h3>
 
@@ -541,5 +420,5 @@
     <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul><p>
 
-<a name=query-type>
+<a name=query-type></a>
 <h3>Query type</h3>
 
@@ -569,5 +448,5 @@
 frequency of occurrence.<p>
 
-<a name=stemming>
+<a name=stemming></a>
 <h3 align=left>Case sensitivity and stemming</h3>
 <p>Two pairs of buttons on the <i>preferences</i> page control the kind of
@@ -592,5 +471,5 @@
 _texthelpsearching_ [l=mi] {
 
-<a name=query-terms>
+<a name=query-terms></a>
 <h3>NgÄ kupu hei rapu</h3>
 
@@ -607,5 +486,5 @@
 <p>(arÄ, kua tangohia ngÄ tohutuhi)
 
-<p><br><a name=query-type>
+<p><br><a name=query-type></a>
 <h3>NgÄ tÅ«momo rapu</h3>
 
@@ -635,5 +514,5 @@
 hiahia ana.<p>
 
-<p><br><a name=stemming>
+<p><br><a name=stemming></a>
 <h3 align=left>NgÄ pÅ« matua, ngÄ pÅ« iti, me ngÄ kÅ«muri hoki</h3>
 